<template>
  <div class="app-container">
    <el-timeline>
      <el-timeline-item v-for="(item ,idx) in activities" :key="idx">
        <h4>{{ item.content }}</h4>
        <p v-if="showAppendix(item.appendix)"><el-link target="_blank" :href="getAppendix(item.appendix).path" type="primary">{{ getAppendix(item.appendix).name }}</el-link></p>
        <p class="timeline-user"><span>{{ item.createUserName }}</span>&nbsp;&nbsp;&nbsp;&nbsp;<span>{{ getFormatDate(item.createTime) }}</span></p>
      </el-timeline-item>
    </el-timeline>
  </div>
</template>

<script>
import { getReamrkList } from '@/api/common.js'
import { formatDate } from '@/utils/date.js'
export default {
  props: {
    setting: {
      type: Object,
      default: function() {
        return {}
      }
    }
  },
  data() {
    return {
      activities: []
    }
  },
  watch: {
    setting: {
      handler(v, o) {
        if (v.businessId !== o.businessId) {
          this.init()
        }
      },
      deep: true
    }
  },
  created() {
    this.init()
  },
  methods: {
    init() {
      if (this.setting.businessType && this.setting.businessId && this.setting.type) {
        getReamrkList(this.setting).then(res => {
          this.activities = res.data
        })
      }
    },
    showAppendix(appendix) {
      if (appendix) {
        return true
      }
      return false
    },
    getAppendix(appendix) {
      const appendixArray = JSON.parse(appendix)
      return {
        path: globalConf.ftpUrl + appendixArray[0].path,
        name: appendixArray[0].name
      }
    },
    getFormatDate(time) {
      return formatDate(time, 'yyyy-MM-dd hh:mm:ss')
    }
  }
}
</script>

<style scoped>

</style>
